#!/usr/bin/perl
# $Id: hello.pl,v 1.33 2012/09/13 16:10:50 rp Exp $
#
# PDFlib client: hello example in Perl
#

use PDFlib::PDFlib 9.0;
use strict;

eval {
    my $p = new PDFlib::PDFlib;

    # This means we must check return values of load_font() etc.
    $p->set_option("errorpolicy=return");

    # all strings are expected as utf8
    $p->set_option("stringformat=utf8");

    if ($p->begin_document("hello.pdf", "") == -1) {
	die("Error: %s\n", $p->get_errmsg());
    }

    $p->set_info("Creator", "hello.pl");
    $p->set_info("Author", "Thomas Merz");
    $p->set_info("Title", "Hello world (Perl)!");

    $p->begin_page_ext(595, 842, "");

    my $font = $p->load_font("Helvetica-Bold", "unicode", "");
    if ($font == -1) {
	die("Error: %s\n", $p->get_errmsg());
    }

    $p->setfont($font, 24.0);
    $p->set_text_pos(50, 700);
    $p->show("Hello world!");
    $p->continue_text("(says Perl)");
    $p->end_page_ext("");

    $p->end_document("");
};

if ($@) {
    die("$0: PDFlib Exception occurred:\n$@");
}
